Bug 582421 - RFE: Exclude crashes in examples scripts from triggering a crash report dialog
Summary: RFE: Exclude crashes in examples scripts from triggering a crash report dialog
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Denys Vlasenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-14 20:54 UTC by Jef Spaleta
Modified: 2010-06-28 17:09 UTC (History)
8 users (show)

Fixed In Version: abrt-1.1.1-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-02 18:05:33 UTC


Attachments (Terms of Use)
Proposed patch (4.04 KB, patch)
2010-05-06 00:49 UTC, Denys Vlasenko
no flags Details | Diff

Description Jef Spaleta 2010-04-14 20:54:30 UTC
Abrt is giving crash dialogs for python coding example scripts located in /usr/share/doc/*  Specifically in my case, the python-matplotlib examples, but the problem holds for anything shipped as documentation.  This should not be allowed as it encourages users to erroneous reports about scripts which are not meant to be functional out of the box. Fedora packaging policy allows for non-functional example code to be provided as documentation. Running any such script through an interpreted language is going to have unexpected and untested behavior that won't be considered functional runtime deficiencies.

In the specific case of matplotlib, there are several examples in its documentation that will crash based on user configuration. Its a very flexible framework that can be embedded into complex python applications and the examples deal with some advanced topics on how to use matplotlib to develop your own scientific applications that are not expected to work in the default matplotlib configuration. Users attempting to run the examples will get crashes, especially on example scripts that use alternative graphical toolkits other than the default gtk unless the user has reconfigured their matplotlib and client system settings accordingly.

Two possible solutions:
1) abrt should just ignore crash reports generated by scripts run by the python interpreter that are located in /usr/share/doc/* to match the Fedora packaging policy which allows these things to exist as non-functional reference content.  

2) provide a mechanism that I can use as a package maintainer to instruct abrt to ignore files that I want it to ignore. Such as a /etc/abrt.d/ directory or something where I can drop a path glob to ignore for each of my packages.

-jef

Comment 1 Nils Philippsen 2010-04-27 15:48:39 UTC
Citing Mathieu's post from the fedora-devel-list thread (as I have the same issue and am too lazy to type it up ;-):

--- 8< ---
When I'm developing a TG2 application, I sometimes get a traceback
(well, I'm not perfect :). ABRT sees the traceback, and wants me to
report a bug against Paster.

However, the bug is not in Paster, it's in my own code, and I know it
since I'm currently developing it (Paster is used to launch TG2
applications).

Would it be possible to ignore this kind of tracebacks while not
ignoring legit Paster issues?
--- >8 ---

Just for reference that this needs a more generic solution than just ignoring programs/scripts from specific paths. Some python scripts als (ab)use tracebacks as an error reporting mechanism, son#t know how they fit into the picture...

Comment 2 Nils Philippsen 2010-04-28 08:29:58 UTC
Eek: "... also (ab)use ... don't know how ..." of course.

Comment 3 Denys Vlasenko 2010-05-06 00:49:41 UTC
Created attachment 411773 [details]
Proposed patch

Comment 4 Denys Vlasenko 2010-05-06 15:58:54 UTC
Pushed the fix to git.

Now abrt.conf by default will contain:

# Blacklisted executable paths (shell patterns)
BlackListedPaths = /usr/share/doc/*, */example*

Any other paths to add to default abrt.conf?

Comment 5 Jef Spaleta 2010-05-07 02:47:42 UTC
Thanks,

This should solve me immediate concern.

I'm not aware of any other global paths where non functional scripts or code are allowed to reside under Fedora packaging guidelines.  Anything else is probably going to be package specific and will need the more fine-grained configuration on a package-by-package basis. I've no idea if that level of complexity is really warranted.


-jef

Comment 6 Nils Philippsen 2010-05-07 09:19:15 UTC
(In reply to comment #4)
> Pushed the fix to git.
> 
> Now abrt.conf by default will contain:
> 
> # Blacklisted executable paths (shell patterns)
> BlackListedPaths = /usr/share/doc/*, */example*
> 
> Any other paths to add to default abrt.conf?    

This for starters:

/home
/srv
/opt
/usr/local

If an executable was in one of these paths, it's almost sure that it is a locally built thing or a 3rd party package.

Comment 7 Karel Klíč 2010-05-07 09:25:06 UTC
3rd party packages are handled by "ProcessUnpackaged" option, no need to blacklist those paths.

Comment 8 Nils Philippsen 2010-05-07 11:45:55 UTC
Ahh, so /home is excepted by default? Must have been introduced just lately, I remember getting alerts for private python scripts that threw around tracebacks.

Comment 9 Karel Klíč 2010-05-07 12:12:13 UTC
Nils, private python scripts should be ignored (does not matter if they reside in /home or /usr/bin). There were some improvements in that code recently.

Comment 10 Fedora Update System 2010-05-28 10:57:00 UTC
abrt-1.1.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/abrt-1.1.1-1.fc13

Comment 11 Fedora Update System 2010-05-28 12:45:43 UTC
abrt-1.1.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/abrt-1.1.1-1.fc12

Comment 12 Fedora Update System 2010-05-28 18:05:15 UTC
abrt-1.1.1-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update abrt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/abrt-1.1.1-1.fc13

Comment 13 Fedora Update System 2010-05-31 18:15:52 UTC
abrt-1.1.1-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update abrt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/abrt-1.1.1-1.fc12

Comment 14 Fedora Update System 2010-06-02 18:04:54 UTC
abrt-1.1.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-06-28 17:09:21 UTC
abrt-1.1.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.